<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Builder;

class PagSeguroSummaryViewModelBuilder implements Builder {
	protected $total;
	protected $paid;
	protected $refunded;

	public function build(): PagSeguroSummaryViewModel {

		$obj = new PagSeguroSummaryViewModel();

		$obj->setTotal( $this->total );
		$obj->setPaid( $this->paid );
		$obj->setRefunded( $this->refunded );

		return $obj;

	}

	/**
	 *
	 * @param mixed $total
	 */
	public function setTotal($total): PagSeguroSummaryViewModelBuilder {

		$this->total = $total;
		return $this;

	}

	/**
	 *
	 * @param mixed $paid
	 */
	public function setPaid($paid): PagSeguroSummaryViewModelBuilder {

		$this->paid = $paid;
		return $this;

	}

	/**
	 *
	 * @param mixed $refunded
	 */
	public function setRefunded($refunded): PagSeguroSummaryViewModelBuilder {

		$this->refunded = $refunded;
		return $this;

	}

}

